RagTime5StructManager::DataParser Struct Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
RagTime5StructManager::DataParser Struct Reference

virtual class use to parse the unstructured data More...

`#include <RagTime5StructManager.hxx>`

Inheritance diagram for RagTime5StructManager::DataParser:

## Public Member Functions
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseData (MWAWInputStreamPtr &, long, RagTime5Zone &, int, libmwaw::DebugStream &)
| parse a data More...

## Protected Attributes
std::string | m_name
| the field name More...

## Private Member Functions
| DataParser (DataParser const &orig)
DataParser & | operator= (DataParser const &orig)

## Detailed Description

virtual class use to parse the unstructured data

## Constructor & Destructor Documentation

## § DataParser() [1/2]

RagTime5StructManager::DataParser::DataParser | ( | std::string const & | zoneName | ) |
| inlineexplicit

constructor

## § ~DataParser()

RagTime5StructManager::DataParser::~DataParser | ( |  | ) |
| virtual

destructor

## § DataParser() [2/2]

RagTime5StructManager::DataParser::DataParser | ( | DataParser const & | orig | ) |
| private

## Member Function Documentation

## § getZoneName() [1/2]

virtual std::string RagTime5StructManager::DataParser::getZoneName | ( |  | ) | const
| inlinevirtual

return the debug name corresponding to a zone

Referenced by RagTime5Parser::readFixedSizeZone(), and RagTime5Parser::readListZone().

## § getZoneName() [2/2]

virtual std::string RagTime5StructManager::DataParser::getZoneName | ( | int | n | ) | const
| inlinevirtual

return the debug name corresponding to a field

## § operator=()

DataParser& RagTime5StructManager::DataParser::operator= | ( | DataParser const & | orig | ) |
| private

## § parseData()

virtual bool RagTime5StructManager::DataParser::parseData | ( | MWAWInputStreamPtr & | ,
|  | long | ,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & |
| ) |  |
| inlinevirtual

parse a data

Reimplemented in RagTime5SpreadsheetInternal::CellPLCParser, RagTime5TextInternal::Block2ListParser, RagTime5TextInternal::ClustListParser, RagTime5SpreadsheetInternal::ValuesParser, RagTime5SpreadsheetInternal::ClustListParser, RagTime5ChartInternal::ZoneUnknown3Parser, RagTime5ChartInternal::ZoneUnknown1Parser, RagTime5LayoutInternal::ClustListParser, RagTime5ChartInternal::ChildTZoneParser, RagTime5PipelineInternal::UnknownParser, RagTime5ChartInternal::SerieTypeParser, RagTime5ChartInternal::DoubleParser, RagTime5GraphInternal::FloatParser, RagTime5PipelineInternal::ClustListParser, RagTime5ParserInternal::ClustListParser, RagTime5GraphInternal::IntListParser, RagTime5ChartInternal::ClustListParser, RagTime5ParserInternal::IndexUnicodeParser, and RagTime5GraphInternal::ClustListParser.

Referenced by RagTime5Parser::readFixedSizeZone(), and RagTime5Parser::readListZone().

## Member Data Documentation

## § m_name

std::string RagTime5StructManager::DataParser::m_name
| protected

the field name

The documentation for this struct was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx